DEV_GET_BY_NAME_RCU(9)

NAME
dev_get_by_name_rcu - find a device by its name

SYNOPSIS

struct net_device * dev_get_by_name_rcu(struct net * net, const char * name);

ARGUMENTS

net
    the applicable net namespace

name
    name to find

DESCRIPTION

Find an interface by name. If the name is found a pointer to the device is returned. If the name is not found then NULL is returned. The reference counters are not incremented so the caller must be careful with locks. The caller must hold RCU lock.

COPYRIGHT